// Code generated by pulumi-language-go DO NOT EDIT.
// *** WARNING: Do not edit by hand unless you're certain you know what you are doing! ***

package desec

import (
	"context"
	"reflect"

	"errors"
	"github.com/pulumi/pulumi-terraform-provider/sdks/go/desec/desec/internal"
	"github.com/pulumi/pulumi/sdk/v3/go/pulumi"
)

type Rrset struct {
	pulumi.CustomResourceState

	Created pulumi.StringOutput      `pulumi:"created"`
	Domain  pulumi.StringOutput      `pulumi:"domain"`
	Name    pulumi.StringOutput      `pulumi:"name"`
	Records pulumi.StringArrayOutput `pulumi:"records"`
	RrsetId pulumi.StringOutput      `pulumi:"rrsetId"`
	Subname pulumi.StringOutput      `pulumi:"subname"`
	Ttl     pulumi.Float64Output     `pulumi:"ttl"`
	Type    pulumi.StringOutput      `pulumi:"type"`
}

// NewRrset registers a new resource with the given unique name, arguments, and options.
func NewRrset(ctx *pulumi.Context,
	name string, args *RrsetArgs, opts ...pulumi.ResourceOption) (*Rrset, error) {
	if args == nil {
		return nil, errors.New("missing one or more required arguments")
	}

	if args.Domain == nil {
		return nil, errors.New("invalid value for required argument 'Domain'")
	}
	if args.Records == nil {
		return nil, errors.New("invalid value for required argument 'Records'")
	}
	if args.Subname == nil {
		return nil, errors.New("invalid value for required argument 'Subname'")
	}
	if args.Ttl == nil {
		return nil, errors.New("invalid value for required argument 'Ttl'")
	}
	if args.Type == nil {
		return nil, errors.New("invalid value for required argument 'Type'")
	}
	opts = internal.PkgResourceDefaultOpts(opts)
	ref, err := internal.PkgGetPackageRef(ctx)
	if err != nil {
		return nil, err
	}
	var resource Rrset
	err = ctx.RegisterPackageResource("desec:index/rrset:Rrset", name, args, &resource, ref, opts...)
	if err != nil {
		return nil, err
	}
	return &resource, nil
}

// GetRrset gets an existing Rrset resource's state with the given name, ID, and optional
// state properties that are used to uniquely qualify the lookup (nil if not required).
func GetRrset(ctx *pulumi.Context,
	name string, id pulumi.IDInput, state *RrsetState, opts ...pulumi.ResourceOption) (*Rrset, error) {
	var resource Rrset
	ref, err := internal.PkgGetPackageRef(ctx)
	if err != nil {
		return nil, err
	}
	err = ctx.ReadPackageResource("desec:index/rrset:Rrset", name, id, state, &resource, ref, opts...)
	if err != nil {
		return nil, err
	}
	return &resource, nil
}

// Input properties used for looking up and filtering Rrset resources.
type rrsetState struct {
	Created *string  `pulumi:"created"`
	Domain  *string  `pulumi:"domain"`
	Name    *string  `pulumi:"name"`
	Records []string `pulumi:"records"`
	RrsetId *string  `pulumi:"rrsetId"`
	Subname *string  `pulumi:"subname"`
	Ttl     *float64 `pulumi:"ttl"`
	Type    *string  `pulumi:"type"`
}

type RrsetState struct {
	Created pulumi.StringPtrInput
	Domain  pulumi.StringPtrInput
	Name    pulumi.StringPtrInput
	Records pulumi.StringArrayInput
	RrsetId pulumi.StringPtrInput
	Subname pulumi.StringPtrInput
	Ttl     pulumi.Float64PtrInput
	Type    pulumi.StringPtrInput
}

func (RrsetState) ElementType() reflect.Type {
	return reflect.TypeOf((*rrsetState)(nil)).Elem()
}

type rrsetArgs struct {
	Domain  string   `pulumi:"domain"`
	Records []string `pulumi:"records"`
	RrsetId *string  `pulumi:"rrsetId"`
	Subname string   `pulumi:"subname"`
	Ttl     float64  `pulumi:"ttl"`
	Type    string   `pulumi:"type"`
}

// The set of arguments for constructing a Rrset resource.
type RrsetArgs struct {
	Domain  pulumi.StringInput
	Records pulumi.StringArrayInput
	RrsetId pulumi.StringPtrInput
	Subname pulumi.StringInput
	Ttl     pulumi.Float64Input
	Type    pulumi.StringInput
}

func (RrsetArgs) ElementType() reflect.Type {
	return reflect.TypeOf((*rrsetArgs)(nil)).Elem()
}

type RrsetInput interface {
	pulumi.Input

	ToRrsetOutput() RrsetOutput
	ToRrsetOutputWithContext(ctx context.Context) RrsetOutput
}

func (*Rrset) ElementType() reflect.Type {
	return reflect.TypeOf((**Rrset)(nil)).Elem()
}

func (i *Rrset) ToRrsetOutput() RrsetOutput {
	return i.ToRrsetOutputWithContext(context.Background())
}

func (i *Rrset) ToRrsetOutputWithContext(ctx context.Context) RrsetOutput {
	return pulumi.ToOutputWithContext(ctx, i).(RrsetOutput)
}

type RrsetOutput struct{ *pulumi.OutputState }

func (RrsetOutput) ElementType() reflect.Type {
	return reflect.TypeOf((**Rrset)(nil)).Elem()
}

func (o RrsetOutput) ToRrsetOutput() RrsetOutput {
	return o
}

func (o RrsetOutput) ToRrsetOutputWithContext(ctx context.Context) RrsetOutput {
	return o
}

func (o RrsetOutput) Created() pulumi.StringOutput {
	return o.ApplyT(func(v *Rrset) pulumi.StringOutput { return v.Created }).(pulumi.StringOutput)
}

func (o RrsetOutput) Domain() pulumi.StringOutput {
	return o.ApplyT(func(v *Rrset) pulumi.StringOutput { return v.Domain }).(pulumi.StringOutput)
}

func (o RrsetOutput) Name() pulumi.StringOutput {
	return o.ApplyT(func(v *Rrset) pulumi.StringOutput { return v.Name }).(pulumi.StringOutput)
}

func (o RrsetOutput) Records() pulumi.StringArrayOutput {
	return o.ApplyT(func(v *Rrset) pulumi.StringArrayOutput { return v.Records }).(pulumi.StringArrayOutput)
}

func (o RrsetOutput) RrsetId() pulumi.StringOutput {
	return o.ApplyT(func(v *Rrset) pulumi.StringOutput { return v.RrsetId }).(pulumi.StringOutput)
}

func (o RrsetOutput) Subname() pulumi.StringOutput {
	return o.ApplyT(func(v *Rrset) pulumi.StringOutput { return v.Subname }).(pulumi.StringOutput)
}

func (o RrsetOutput) Ttl() pulumi.Float64Output {
	return o.ApplyT(func(v *Rrset) pulumi.Float64Output { return v.Ttl }).(pulumi.Float64Output)
}

func (o RrsetOutput) Type() pulumi.StringOutput {
	return o.ApplyT(func(v *Rrset) pulumi.StringOutput { return v.Type }).(pulumi.StringOutput)
}

func init() {
	pulumi.RegisterInputType(reflect.TypeOf((*RrsetInput)(nil)).Elem(), &Rrset{})
	pulumi.RegisterOutputType(RrsetOutput{})
}
