CREATE TYPE reminder_state AS ENUM ('pending', 'firing', 'completed');

CREATE TABLE IF NOT EXISTS reminders (
    id bigint GENERATED BY DEFAULT AS IDENTITY PRIMARY KEY NOT NULL,
    description text NOT NULL DEFAULT '',
    tags text[] NOT NULL DEFAULT '{}',
    state reminder_state NOT NULL DEFAULT 'pending',
    remind_at timestamptz NOT NULL,
    snooze_minutes bigint NOT NULL DEFAULT 10,
    repeat_interval jsonb,
    created_at timestamptz NOT NULL DEFAULT current_timestamp,
    updated_at timestamptz NOT NULL DEFAULT current_timestamp
);
